shale-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Rahul Akolkar (JIRA)" <j...@apache.org>
Subject [jira] Commented: (SHALE-375) Framework should build on JDK 1.4
Date Wed, 27 Dec 2006 21:11:57 GMT
    [ http://issues.apache.org/struts/browse/SHALE-375?page=comments#action_39173 ] 
            
Rahul Akolkar commented on SHALE-375:
-------------------------------------

Thanks for the feedback. The <reporting> bits are not as important from my perspective.
I'm OK if the site doesn't build or the release related plugins (javadoc, source etc.) are
tuned for 1.5, but I'd like to be able to locally install JDK 1.4 built binaries. This is
useful since most of the app servers I can use are still pegged at 1.4 (and I'd like to build
with 1.4 as such).

To give some examples to the kind of stuff I'd like to do with this ticket:
 * Remove shale-tiger from parent <modules> (seems a mistake, its already in the JDK
1.5 activated profile)
 * Conditional compile shale-test bits (shale-test depends on Java EE 5 bits, which hoses
JDK 1.4 compat). I plan to drop in two JDK activated profiles so when built on 1.4 shale-test
will only cater to the JSF 1.1 crowd.

I plan to finish this today, lets see.


> Framework should build on JDK 1.4
> ---------------------------------
>
>                 Key: SHALE-375
>                 URL: http://issues.apache.org/struts/browse/SHALE-375
>             Project: Shale
>          Issue Type: Bug
>            Reporter: Rahul Akolkar
>         Assigned To: Rahul Akolkar
>             Fix For: 1.0.4-SNAPSHOT
>
>
> 'mvn -Papps install' on JDK 1.4 should result in a successful build.

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://issues.apache.org/struts/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message